Subject: Re: FVWM: Compiling 2.0.42

From: Andrew Veliath <[email-masked]>
Date: Wed, 1 May 1996 13:54:44 -0400

Glad to see you got things working!
  
(I thought the following might be of interest...)

David, if you do not want to compile some of the modules or even all
of them (I do this many times), just edit the top level Imakefile.
You can delete a lot of stuff in the toplevel Imakefile before
compiling.

I usually change the following:

----cut here ----
BUILDSUBDIRS = \
          libs \
          fvwm \
          modules/FvwmAudio \
          modules/FvwmAuto \
          modules/FvwmBacker \
          modules/FvwmButtons \
          modules/FvwmCpp \
          modules/FvwmDebug \
          modules/FvwmForm \
          modules/FvwmIconBox \
          modules/FvwmIconMan \
          modules/FvwmIdent \
          modules/FvwmM4 \
          modules/FvwmPager \
          modules/FvwmSave \
          modules/FvwmSaveDesk \
          modules/FvwmScroll \
          modules/FvwmTalk \
          modules/FvwmWinList

SAMPLESUBDIRS = \
          utils \
          sample.fvwmrc

#if HasXpm
XPMSUBDIRS = xpmroot modules/FvwmBanner
#endif

SUBDIRS = $(BUILDSUBDIRS) $(XPMSUBDIRS) $(SAMPLESUBDIRS)
----cut here ----

to something similar to

----cut here ----
BUILDSUBDIRS = \
          libs \
          fvwm \
          modules/FvwmM4 \
          modules/FvwmPager

SUBDIRS = $(BUILDSUBDIRS) $(XPMSUBDIRS) $(SAMPLESUBDIRS)
----cut here ----

Just make sure the backslashes are correct then you will be fine and
done quicker.

Sincerely,
PC sellers are Bill collectors.
Andrew Veliath <[email-masked]>
http://www.rpi.edu/~veliaa
Finger for PGP Key
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].